Subject: Re: bug#64277: [feature request] handle files encoded in utf-16le

From: Paul Eggert <[email-masked]>
Date: Sat, 24 Jun 2023 15:17:34 -0700

On 2023-06-24 14:23, Jeremy Hetzler wrote:
> I would like to request a feature to be added to grep which would enable it
> to transparently decode UTF16-LE files so they can be conveniently searched.

Not sure it's worth the effort as this format is not that common for GNU 
grep, it'd be a pain to add proper support for it, and anyway 16-bit 
encodings have been problematic ever since Unicode crossed the 16-bit 
Rubicon. I'm not saying we'd reject a patch if someone wrote it, but I'd 
say it should be low priority.